#
# spec file for package gmime-2_4 (Version 2.4.8)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           gmime-2_4
%define _name gmime
BuildRequires:  glib-sharp2 glib2-devel gtk-doc gtk-sharp2 gtk-sharp2-gapi mono-devel zlib-devel
Version:        2.4.8
Release:        2.5.1
Url:            http://spruce.sourceforge.net/gmime/
Group:          Productivity/Networking/Email/Utilities
License:        LGPLv2.1+ ; Public Domain, Freeware ; MIT License (or similar)
Summary:        MIME Library Utilities
Source:         http://ftp.acc.umu.se/pub/GNOME/sources/gmime/2.4/%{_name}-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM gmime-2_4-CVE-2010-0409.patch bnc576923 CVE-2010-0409 sbrabec@suse.cz -- Fixed to prevent possible buffer overflows.
Patch:          gmime-2_4-CVE-2010-0409.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       libgmime-2_4-2 = %{version}
Conflicts:      gmime < 2.4

%description
GMime is a set of utilities for parsing and creating messages using the
Multipurpose Internet Mail Extension (MIME).



Authors:
--------
    Jeffrey Stedfast <fejj@gnome.org>

%package -n libgmime-2_4-2
License:        LGPLv2.1+ ; Public Domain, Freeware ; MIT License (or similar)
Group:          Development/Libraries/C and C++
Summary:        MIME Library

%description -n libgmime-2_4-2
GMime is a set of utilities for parsing and creating messages using the
Multipurpose Internet Mail Extension (MIME).



Authors:
--------
    Jeffrey Stedfast <fejj@gnome.org>

%package sharp
License:        LGPLv2.1+ ; Public Domain, Freeware ; MIT License (or similar)
Group:          Development/Libraries/Other
Summary:        MIME Library Mono Bindings
Requires:       libgmime-2_4-2 = %{version} gtk-sharp2 glib-sharp2

%description sharp
GMime is a set of utilities for parsing and creating messages using the
Multipurpose Internet Mail Extension (MIME).



Authors:
--------
    Jeffrey Stedfast <fejj@gnome.org>

%package devel
License:        LGPLv2.1+ ; Public Domain, Freeware ; MIT License (or similar)
Group:          Development/Libraries/C and C++
Summary:        MIME Library
Requires:       libgmime-2_4-2 = %{version} glib2-devel zlib-devel glibc-devel

%description devel
GMime is a set of utilities for parsing and creating messages using the
Multi-purpose Internet Mail Extension (MIME).



Authors:
--------
    Jeffrey Stedfast <fejj@ximian.com>

%package doc
License:        LGPLv2.1+ ; Public Domain, Freeware ; MIT License (or similar)
Group:          Development/Libraries/C and C++
Summary:        MIME Library documentation

%description doc
GMime is a set of utilities for parsing and creating messages using the
Multipurpose Internet Mail Extension (MIME).

This package contains additional documentation for the main package.



Authors:
--------
    Jeffrey Stedfast <fejj@ximian.com>

%define __find_requires env sh -c 'filelist=($(cat)) && { printf "%s\\n" "${filelist[@]}" | /usr/lib/rpm/find-requires | grep -v "no package provides" ; } '

%prep
%setup -q -n %{_name}-%{version}
%patch -p1

%build
autoreconf -f -i
%configure\
	--enable-largefile\
	--disable-static\
	--enable-gtk-doc
make %{?jobs:-j%jobs}

%install
%makeinstall GACUTIL_FLAGS="/package gtk-sharp /root -bootstrap $RPM_BUILD_ROOT%{_prefix}/lib"
# rename to prevent conflict with uu* utils from sharutils
mv $RPM_BUILD_ROOT%{_bindir}/uuencode $RPM_BUILD_ROOT%{_bindir}/gmime-uuencode
mv $RPM_BUILD_ROOT%{_bindir}/uudecode $RPM_BUILD_ROOT%{_bindir}/gmime-uudecode
for FILE in COPYING ; do
    MD5SUM=$(md5sum $FILE | sed 's/ .*//')
    if test -f /usr/share/doc/licenses/md5/$MD5SUM ; then
        ln -sf /usr/share/doc/licenses/md5/$MD5SUM $FILE
    fi
done
rm $RPM_BUILD_ROOT%{_libdir}/*.*a

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libgmime-2_4-2 -p /sbin/ldconfig

%postun -n libgmime-2_4-2 -p /sbin/ldconfig

%files
%defattr (-, root, root)
# NEWS is empty
%doc AUTHORS COPYING ChangeLog PORTING README TODO
%{_bindir}/*uu*

%files -n libgmime-2_4-2
%defattr (-, root, root)
%{_libdir}/*.so.*

%files sharp
%defattr (-, root, root)
%dir %{_prefix}/lib/mono/gmime-sharp-2.4
%dir %{_prefix}/lib/mono/gac/gmime-sharp
%dir %{_prefix}/lib/mono/gac/gmime-sharp/2.4.0.0__2b75c2ad004c52e4
%{_prefix}/lib/mono/gmime-sharp-2.4/gmime-sharp.dll
%{_prefix}/lib/mono/gac/gmime-sharp/2.4.0.0__2b75c2ad004c52e4/gmime-sharp.dll
%{_prefix}/lib/mono/gac/gmime-sharp/2.4.0.0__2b75c2ad004c52e4/gmime-sharp.dll.config
# devel file:
%{_libdir}/pkgconfig/gmime-sharp-2.4.pc

%files devel
%defattr (-, root, root)
%{_includedir}/gmime-2.4
%{_libdir}/*.so
%{_libdir}/pkgconfig/gmime-2.4.pc

%files doc
%defattr (-, root, root)
%{_datadir}/gtk-doc/html/*

%changelog
* Wed Feb 10 2010 sbrabec@suse.cz
- Fixed potential buffer overflow of GMIME_UUENCODE_LEN
  (bnc#576923, CVE-2010-0409).
* Fri Aug 14 2009 sbrabec@suse.cz
- Updated to version 2.4.8:
  * Fixed possible buffer overrun in charset conversion code.
  * Compilation on systems with older GLib installations.
  * Cross-compilation simplified.
* Tue Aug  4 2009 sbrabec@suse.cz
- Removed unneeded Requires.
* Wed Jul  1 2009 sbrabec@suse.cz
- Split package for the new branch.
- Updated to version 2.4.7:
  * Major rewrite, new API. See ChangeLog for details.
* Fri Oct 17 2008 sbrabec@suse.cz
- Updated to version 2.2.23:
  * documentation updated
  * New faster method for calculating nearest power of 2.
  * New functions backported from 2.3.x:
    g_mime_parser_get_headers_begin, g_mime_parser_get_headers_end
  * Only ref the message if it is non-NULL.
- Fixed failure in mono binding installation.
* Fri Aug 15 2008 sbrabec@suse.cz
- Updated to version 2.2.22:
  * Bug fixes.
  * Memory leak fix.
  * See ChangeLog for more.
* Tue Apr  1 2008 sbrabec@suse.cz
- Updated to version 2.2.18:
  * Bug fixes.
  * New minor features.
  * Completely rewritten rfc2047_encode_merge_rfc822_words.
  * See ChangeLog for more.
- Ported off_t removal patches.
* Mon Mar 31 2008 sbrabec@suse.cz
- Fixed C# ABI corruption in gmime-no-off_t-api.patch (bnc#375195).
* Mon Jan 21 2008 ro@suse.de
- work around problem in mono-find-requires if the sharp bindings
  are a subpackage of the one providing the library
* Wed Dec  5 2007 sbrabec@suse.cz
- Removed off_t from the API. Fixes weird CFLAGS forcing gmime's
  off_t size to packages using gmime (#344662, GNOME#501830).
* Mon Nov 19 2007 sbrabec@suse.cz
- Updated to version 2.2.11:
  * Conditional for building with large file support.
  * 64-bit compatibility improvements.
  * Changed the license to LGPLv2.
  * Minor fixes and improvements.
* Tue Sep 25 2007 joeshaw@suse.de
- Add a patch to fix the Mono bindings when GMime is built with
  large file support.  (bnc #327589)
* Wed Aug  8 2007 sbrabec@suse.cz
- Fixed dependencies to allow to install more instances of library.
* Tue Aug  7 2007 ro@suse.de
- remove devel dependencies from library package
* Mon Aug  6 2007 sbrabec@suse.cz
- Updated to version 2.2.10:
  * Implemented a conditional workaround for broken rfc2047
    encodings.
- Enabled large file support and broken rfc2047 workaround.
- Split package according to shared library policy.
- Package gmime-sharp separately.
* Mon Jul 16 2007 sbrabec@suse.cz
- Fixed licenses linking.
* Sun Jul 15 2007 aj@suse.de
- Build sharp files again.
* Fri Jul 13 2007 sbrabec@suse.cz
- Updated to version 2.2.9:
  * New functions.
  * Bug fixes.
  * Memory leak fixes.
* Fri Mar 30 2007 rguenther@suse.de
- Add zlib-devel BuildRequires
* Fri Feb 16 2007 mvaner@suse.cz
- Compare strings properly, not as pointers, bug #225721
  - stdin-cmp.patch
* Tue Feb 13 2007 sbrabec@suse.cz
- Do not build unusable static libraries (#238552#c17).
* Tue Feb  6 2007 sbrabec@suse.cz
- Reduced BuildRequires.
* Wed Jan 10 2007 sbrabec@suse.cz
- Spec file cleanup.
* Tue Jan  9 2007 joeshaw@suse.de
- Clean up BuildRequires
* Mon Jan  8 2007 ro@suse.de
- GNOME moved to /usr
* Fri Oct 20 2006 sbrabec@suse.cz
- Update to version 2.2.3:
  * Decode the values for Subject, From, Reply-To.
  * Code imporvements.
  * Bug fixes.
* Sun Oct 15 2006 schwab@suse.de
- Make sure config.rpath is present.
* Fri Mar 17 2006 joeshaw@suse.de
- Update to version 2.2.1.  This contains a fix for reading mbox
  files in the middle of the last message, which would cause a
  tight CPU loop.  Fixes bnc #156916 and probably also #156927.
* Thu Feb 16 2006 joeshaw@suse.de
- Update the official tarball from 2.1.18 to 2.1.19.  There are
  actually no changes to the code at all, since the (now removed)
  backported patch contained all the differences between 2.1.18
  and 2.1.19.  This just makes already fixed bugs like bnc 147515
  a lot easier to spot.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 21 2006 joeshaw@suse.de
- Added a patch which backports an important fix from 2.1.19 to
  2.1.18.
* Fri Jan 13 2006 gekker@suse.de
- Fixup nfb and requires for new gtk-sharp2-packaging
- Fixup filelist
* Fri Jan 13 2006 joeshaw@suse.de
- Updated to version 2.1.18
* Tue Jan 10 2006 sbrabec@suse.cz
- Updated to version 2.1.17.
* Sun Sep  4 2005 aj@suse.de
- build as non-root.
- Add check-build.sh.
* Fri Aug 19 2005 gekker@suse.de
- Updated to version 2.1.16
- Require gtk-sharp2
* Tue Jul 12 2005 sbrabec@suse.cz
- Updated to version 2.1.15.
* Mon Mar 14 2005 gekker@suse.de
- Add gmime-mono-leak.patch to fix memory leaks.
* Tue Mar  8 2005 gekker@suse.de
- Update to version 2.1.13
* Tue Feb  8 2005 ro@suse.de
- rename uu{en,de}code to avoid conflict with sharutils
  (taken from source-provided specfile)
* Mon Feb  7 2005 ro@suse.de
- gtk-doc docu back to /opt/gnome
* Fri Feb  4 2005 gekker@suse.de
- Update to version 2.1.11.
- Enable C# bindings, add deps to neededforbuild
- Change prefix to /usr, for mono to work
* Thu Jan  6 2005 sbrabec@suse.cz
- Updated to version 2.1.9.
* Fri Aug 20 2004 sbrabec@suse.cz
- Updated to unstable version 2.1.7, needed by balsa.
* Fri Aug 20 2004 ke@suse.de
- gmime-doc.patch: Switch to DocBook DTD 4.1; version 3.0 does not
  support QANDASET, etc; reported by Stanislav Brabec.
* Thu Aug 19 2004 sbrabec@suse.cz
- New SuSE package, version 2.0.14.
